NSX-T Data Center REST API

List all threshold configurations for IDS system signature

List all threshold configurations for IDS signatures.
This API is applicable only for 'System' signatures.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs
/policy/api/v1/global-infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs
Request Headers:
n/a
Query Parameters:
IdsThresholdConfigListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
IdsThresholdConfigListResult+

Example Response:

{ "results": [ { "threshold": { "threshold_type": "THRESHOLD", "count": 6, "time_period": 65, "track_by": "SOURCE" }, "rate_filter": { "new_action": "DROP", "count": 22, "time_period": 23, "timeout": 23 }, "resource_type": "IdsThresholdConfig", "id": "1060759", "display_name": "1060759", "path": "/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/1060759", "relative_path": "1060759", "parent_path": "/infra", "unique_id": "d8c6c01a-4386-41a1-bc57-831f849bd9a8", "realization_id": "d8c6c01a-4386-41a1-bc57-831f849bd9a8", "owner_id": "2f8b11ae-5293-422e-9717-d1eedd7afd44", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1718318662395, "_create_user": "admin", "_last_modified_time": 1718318662395, "_last_modified_user": "admin", "_revision": 0 }, { "threshold": { "threshold_type": "THRESHOLD", "count": 55, "time_period": 58, "track_by": "SOURCE" }, "resource_type": "IdsThresholdConfig", "id": "1061143", "display_name": "1061143", "path": "/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/1061143", "relative_path": "1061143", "parent_path": "/infra", "unique_id": "87685a61-6f77-4a24-8399-9e21c0ed706c", "realization_id": "87685a61-6f77-4a24-8399-9e21c0ed706c", "owner_id": "2f8b11ae-5293-422e-9717-d1eedd7afd44", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1718318662447, "_create_user": "admin", "_last_modified_time": 1718318662447, "_last_modified_user": "admin", "_revision": 0 }, { "rate_filter": { "new_action": "DROP", "count": 46, "time_period": 46, "timeout": 46 }, "resource_type": "IdsThresholdConfig", "id": "1061156", "display_name": "1061156", "path": "/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/1061156", "relative_path": "1061156", "parent_path": "/infra", "unique_id": "24278a48-497f-4675-9f40-69f3e09875c6", "realization_id": "24278a48-497f-4675-9f40-69f3e09875c6", "owner_id": "2f8b11ae-5293-422e-9717-d1eedd7afd44", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1718318662456, "_create_user": "admin", "_last_modified_time": 1718318662456, "_last_modified_user": "admin", "_revision": 0 } ], "result_count": 3, "sort_by": "display_name", "sort_ascending": true }

Required Permissions:

read

Feature:

policy_common_ids

Additional Errors: